Foxit PDF SDK

Class Methods | List of all members
FSComplianceEngine Class Reference

Inherits NSObject.

## Class Methods
(void) | + destroy
| Release compliance engine. More...
(void) | + enableHandleTransparency:
| Set a flag to decide whether to enable transparency handling. More...
(FSErrorCode) | + initialize:compliance_engine_unlockcode:
| Initialize compliance engine. More...
(FSErrorCode) | + initializeThreadContext
| Initialize compliance context for a new thread. More...
(void) | + releaseThreadContext
| Release compliance context of the thread. More...
(void) | + setLanguage:
| Set language for compliance engine. More...
(void) | + setTempFolderPath:
| Set the temporary folder for compliance engine. More...

## Detailed Description

Compliance module can be used to verify if a PDF file matches a specified industry standard version (e.g. one of PDF/A version) or convert a PDF file to a specified industry standard version (e.g. one of PDF/A version). Before initializing compliance engine and using any class or methods in this module, please ensure Foxit PDF SDK has been initialized successfully by function FSLibrary::initialize:key: with a key including "Compliance" module.

See also
  FSLibrary

## Method Documentation

## ◆ destroy()

+ (void) destroy |  |  |

Release compliance engine.

This function can be called to release compliance engine when no need to use it any more before Foxit PDF SDK is released.

Returns
  None.

## ◆ enableHandleTransparency:()

+ (void) enableHandleTransparency: |  | (BOOL) | enable_handle_transparency |

Set a flag to decide whether to enable transparency handling.

Parameters

  [in] | enable_handle_transparency | YES means that transparency handling is enabled, which detects and removes transparency from graphical objects during conversion. NO means it is disabled. Default value: NO.

Returns
  None.

## ◆ initialize:compliance_engine_unlockcode:()

+ (FSErrorCode) initialize: |  | (NSString *) | compliance_resource_folder_path
compliance_engine_unlockcode: |  | (NSString *) | compliance_engine_unlockcode

Initialize compliance engine.

This should be called successfully before any other methods in compliance add-on module.

Parameters

  [in] | compliance_resource_folder_path | A complete path to compliance resource folder. This should not be an empty string.
  [in] | compliance_engine_unlockcode | The unlock code for compliance engine. If an authorization key is used for Foxit PDF SDK, please pass a valid unlock code string to initialize compliance engine. If a trial key is used for Foxit PDF SDK, this parameter will be ignored. Just pass an empty string.

Returns
  FSErrSuccess means success.
  FSErrNoComplianceModuleRight means Foxit PDF SDK has not been initialized with a key including "Compliance" module.
  FSErrParam means parameter compliance_resource_folder_pathis an empty string, or parameter compliance_engine_unlockcode is an empty string when an authorization key is used for Foxit PDF SDK.
  FSErrFilePathNotExist means parameter compliance_resource_folder_path does not exist or no library for compliance engine can be found under this folder.
  FSErrComplianceEngineInvalidUnlockCode means parameter compliance_engine_unlockcode is an invalid unlock code for compliance engine when an authorization key is used for Foxit PDF SDK.
  For more information about error code values, please refer to values starting from FSErrSuccess.

Note
  If module "Compliance" is not defined in the license information which is used in function FSLibrary::initialize:key:, that means user has no right in using compliance related functions and this constructor will throw exception FSErrNoComplianceModuleRight.

## ◆ initializeThreadContext()

+ (FSErrorCode) initializeThreadContext |  |  |

Initialize compliance context for a new thread.

The compliance engine provides thread-safety per default. This should be called successfully for each thread before any other methods in compliance add-on module for multithreading. It is recommended to use a fixed amount of SDK threads (e.g. min=4, max=system-hardware-concurrency). Creating more threads then CPU cores exist will degrade the overall performance. The threads should be re-used as long as possible.

Returns
  FSErrSuccess means success.
  FSErrNoComplianceModuleRight means Foxit PDF SDK has not been initialized with a key including "Compliance" module.
  FSErrComplianceEngineInvalidUnlockCode means parameter compliance_engine_unlockcode is an invalid unlock code for compliance engine when an authorization key is used for Foxit PDF SDK.
  For more information about error code values, please refer to values starting from FSErrSuccess.

Note
  If module "Compliance" is not defined in the license information which is used in function FSLibrary::initialize:key:, that means user has no right in using compliance related functions and this function will throw exception FSErrNoComplianceModuleRight.

## ◆ releaseThreadContext()

+ (void) releaseThreadContext |  |  |

Release compliance context of the thread.

This function will release compliance context of the thread when no need to use it any more before Foxit PDF SDK is released in the thread. It should be called from the same thread that called FSComplianceEngine::initializeThreadContext.

Returns
  None.

## ◆ setLanguage:()

+ (void) setLanguage: |  | (NSString *) | language |

Set language for compliance engine.

Setting a language to compliance engine will have affect on all the strings which are returned with FSResultInformation or through callback class FSComplianceProgressCallback. If no language name is set by this function, "English" will be used as default.

Parameters

  [in] | language | Language name. This cannot be an empty string and should be one of following language name: "Czech", "Danish", "Dutch", "English", "French", "Finnish", "German", "Italian", "Norwegian", "Polish", "Portuguese", "Spanish", "Swedish", "Chinese-Simplified", "Chinese-Traditional", "Japanese", "Korean". For other language name, this function will do nothing.

Returns
  None.

## ◆ setTempFolderPath:()

+ (void) setTempFolderPath: |  | (NSString *) | temp_folder_path |

Set the temporary folder for compliance engine.

The compliance engine may generate temporary files during processing (e.g., for verification or conversion tasks). This function allows specifying a custom storage location. If not set, a default temporary folder will be created in the application's root directory and used for temporary files.

Parameters

  [in] | temp_folder_path | Complete path to the temporary directory. This should be a valid path and should not be an empty string.

Returns
  None.